About the AVD Graphic Studio
Top Next

AVD Graphic Studio is the powerful editor for graphics, animation and video. It allows you to edit, view and print your images using painting tools, drawing tools and effects. You can import AVI and animated GIF for editing, save and load format parameters, export separate AVI or GIF frames, regulate contrast, rotate any angle, and preview all effects in a single dialog.

Features

ü Save/load specific file format parameters and save/load preview dialogs
ü Creation of your animation with the given parameters
ü Import/export AVI
ü Import/export animated GIF
ü Export separate frames from AVI and animated GIF
ü Image acquisition from TWAIN scanners
ü Regulation of contrast, HSL, HSV/HSB and RGB
ü Preview of all the effects in a single dialog, with 8 preset filters and save and load filters from file
ü Rotate any angle
ü Horizontal and vertical mirror
ü Image resizing
ü Drawing tools
ü Bump mapping, Lens and Wave effect
ü Copy, trim, paste and paste into a rectangle of all or part of the image
ü Undo last operation
ü Histogram equalization (auto and manual)
ü Sizeable and moveable selected region


License
Previous Top Next

AVD Graphic Studio. Copyright (C) 1999-2003 AVLAN Design.
All rights reserved.

This license applies to the evaluation version of AVD Graphic Studio.

LICENSE AGREEMENT

You should carefully read the following terms and conditions before using this software. Your use of this software indicates your acceptance of this license agreement and warranty.

EVALUATION AND REGISTRATION

This is not free software. Anyone may use this software for testing. In test mode not all functions is working. If you wish to use all options, you MUST register. Credit card ordering and quantity discounts and other options are available. Upon receipt of your registration fee you will receive a full version of the program.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program.
ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Distribution of Evaluation Version

Provided that you verify that you are distributing the evaluation version you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; give exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.


Registration

AVD Graphic Studio is a shareware software.

AVD Graphic Studio. Registration hints.

You register AVD Graphic Studio
Because, as registered user, you:

1) Encourage the author to further develop and improve AVD Graphic Studio, making possible new AVD Graphic Studio releases;
2) May use AVD Graphic Studio in commercial and other purposes (business registration);
3) Gain full access to the function "Save" (no "DEMO" shows);
4) Access free support and assistance, via E-mail;
5) Gain the right to use ALL future AVD Graphic Studio releases free-of-charge.

What you need to register

If you wish to become a registered AVD Graphic Studio user, all you need do is make a payment to the author, via registration site ShareIt (http://www.shareit.com) or RegNow (http://www.regnow.com). Credit card ordering and quantity discounts and other options are available. When payment is received you will be sent a full version of AVD Graphic Studio.

The registration fee for AVD Graphic Studio

Number of licenses/units

Individual price

1

USD: 24.95

2-5

USD: 20.95

6-24

USD: 16.95

25-99

USD: 12.95

From 100

USD: 9.95

If you would like to register AVD Graphic Studio visit please http://www.avlandesign.com/register.htm


System requirements

ü Windows 95/98/2000/ME/XP, NT 4.0 or higher
ü Pentium, K6 or higher
ü 128 MB of RAM


Contacts

You can download the latest version of AVD Graphic Studio from the website:
http://www.avlandesign.com/graphstudio.zip

Home page:
http://www.avlandesign.com/graphstudio.htm

E-mail:

For information request support@avlandesign.com

For bug reports bug@avlandesign.com

For suggestion suggestion@avlandesign.com

Answer for one question please:
Where did you first hear about our software? Answer


File

New - Create a new, empty image. AVD Graphic Studio will open the New Image Dialog Box.

New from Clipboard - Create a new image. Make clipboard image as new image.

Open - Open an existing file. Open Dialog Box displays a Windows dialog box for selecting and opening graphics files, includes a rectangular preview region. Open Dialog Box displays image informations as dimensions, colors, dpi, file type, compression and file-memory sizes.

Import AVI - Import AVI and export separate frames

Animation - Open the Animation window. In this window you can open, edit and create yours animated files.

Acquire Image - Use the interface to set the image acquisition options. For help using the interface, consult its on-line help or the device software's help file. When the device and its software finish processing the image, it will be sent to AVD Graphic Studio.

Save - Save the changes to the active image. Save Dialog Box is the some of Open Dialog Box, but with "Advanced" button to display and modify advanced specific file format parameters. Also you can hide the image preview

Printer Setup - Setup of the printer parameters.

Print - Printing of the current image.

Exit - Quit AVD Graphic Studio.


Edit

Undo - Reverses the last edit to the active image. It can remove painting or drawing commands, color alterations, filter effects, etc.

Copy All - Copies whole image to the clipboard.

Copy Selection - Copies current selection to the clipboard.

Paste As new image - Make clipboard image as current image.

Paste As new selection - Pastes clipboard image in current selection, stretching the image to fit the selection.

Select - Select a part of the image. The selected area will be outlined with a white-black animated rectangle. Selected region is sizeable and moveable.

Select All - Selects the whole image.

Deselect - Set as selected no image.


Image

Duplicate - New image creation as a duplicate of the current image.

Flip horizontal - Reverses the image or selection horizontally, so that what was the left side becomes the right side, and vice-versa.

Flip vertical - Reverses the image or selection vertically, so that what was the top becomes the bottom, and vice-versa.

Rotate - Lets you spin an image by a specified number of degrees.

Crop - Select the part of the image that you want to retain. The area outside of the selection will be deleted.

Paper Size - Resizes current image to newWidth and newHeight. The content of the image doesn't change (no stretch).

Resample - Resizes current image. AVD Graphic Studio will open the Image size Dialog Box.The content of the image changes (stretched to new size).

Background - Sets the background color. The background color is the color showed in non used area when the current image is less of control size. This color is used also in geometric processing (as rotation) to fill blank areas.

Clear - Clear fill current image with background color.


Color

Equalize - Executes Equalize preview dialog.Smoothes out the image or selection's histogram. The result is a tempering or averaging of the image or selection's brightness.

Auto Equalize - Equalizes colors histogram of the current selection.

Contrast - You use the Brightness/Contrast Function to brighten or darken an entire image, or to increase or decrease the range of luminance (contrast) within an image. In other words, the Brightness Setting shifts the entire histogram, and the Contrast Setting stretches or compresses it. Contrast: positive change flattens histogram, producing wider range of luminance. Negative change tightens histogram, producing narrower range of luminance. Brightness: shifts entire histogram in the direction of change. Positive 100% turns image or selection pure white. Negative 100% turns image or selection pure black.

RGB - Change the levels of red, green, and blue in an image. Computer monitors create colors by combining red, green, and blue, which are the three primary colors for projected light.

Hue/Saturation/Value - Changes Hue, Saturation and Value of the current selection.

Hue/Saturation/Luminosity - A color can be described by the three components of hue, saturation, and luminance. Hue describes the color's shade or tint, saturation describes the hue's purity, and luminance describes the color's brightness. You can use the Hue/Saturation/Luminance Function to modify these three components for the entire image.

Split Channel To RGB (HSV) - This command obtains a bitmap with the RGB (HSV) specified channel. The result bitmap is a gray levels representation of specified channel.

Mode (Black and White) - Converts the image to black-and-white with an adjustable threshold.

Mode (Gray) - Converts current image (selection) to gray levels.

Mode (RGB Color) - Converts current image (selection) to true color.

Negative Image - Invert all color of the current image (selection).


Effects

Bump map - Adds a light effect behind the current selection.

Lens - Adds a lens effect behind the current selection.

Wave - Adds a distortion behind the current selection

Morphing filters - You can apply morphing filters.

User filters - You can create and apply your own filters.


View

Zoom In - Increase the magnification factor by one level.

Zoom Out - Decrease the magnification factor by one level.

Zoom Fit - Zooms to display the image extents

Zoom Window - Zooms to selection window the image extents

Zoom... - Setting on fixed zoom (25%, 50%, 100%, 200%, 400%, 800%, 1600%).


Toolbar

new Create a new, empty image. AVD Graphic Studio will open the New Image Dialog Box.
open Open an existing file. Open Dialog Box displays a Windows dialog box for selecting and opening graphics files, includes a rectangular preview region. Open Dialog Box displays image informations as dimensions, colors, dpi, file type, compression and file-memory sizes.
save Save the changes to the active image. Save Dialog Box is the some of Open Dialog Box, but with "Advanced" button to display and modify advanced specific file format parameters. Also you can hide the image preview
print Open the Print window. In this window you can specify some print options and then print an active document.
undo Reverses the last edit to the active image. It can remove painting or drawing commands, color alterations, filter effects, etc.
copyall Copies whole image to the clipboard.
copysel Copies current selection to the clipboard.
paste-all Make clipboard image as current image.
paste-sel Pastes clipboard image in current selection, stretching the image to fit the selection.
cancel Clearing of the current image
zooin Increase the magnification factor by one level.
zooout Decrease the magnification factor by one level.
zoomfit Zooms to display the image extents
zoomwin Zooms to selection window the image extents
crop Select the part of the image that you want to retain. The area outside of the selection will be deleted.
deselect Set as selected no image.
duplicate Duplicate image. Create new image with the same image and attributes as the current image.
mir-gor Reverses the image or selection horizontally, so that what was the left side becomes the right side, and vice-versa.
mir-vert Reverses the image or selection vertically, so that what was the top becomes the bottom, and vice-versa.
rotate Lets you spin an image by a specified number of degrees.
papersize2 Resizes current image to newWidth and newHeight. The content of the image doesn't change (no stretch).
resample Resizes current image. AVD Graphic Studio will open the Image size Dialog Box.The content of the image changes (stretched to new size).
help Help


Tools palette

color Bitmapped images are created on a grid of pixels. You create the image by setting each pixel to a foreground or background color. Strictly speaking, there's no difference between the foreground and background color. There is, however, a difference in how you choose foreground and background colors and in how they are created when you edit the bitmapped image.
The Image editor's 16-color Colors palette makes it easy to choose foreground and background colors. You can work with a Colors palette even if your image is black and white.
You use the Colors palette to choose:
ü A Foregroundcolor
ü A Backgroundcolor

animate Animation. Open the Animation window. In this window you can open, edit and create yours animated files.

video Video. Open the Frames sampling panel. For sampling of separate frames offers a choice of frames range and color mode.

text1 Text. Add text to the image.
To add text to your image, choose the Text tool and click where you want the text to begin. Text is always displayed in the current Foregroundcolor.

line Line. Paint straight lines.
Use the Line tool to paint straight lines. Press the mouse button and drag the Line tool across your image. Release the mouse button when you've finished drawing the line.
· Use the left mouse button to sketch with the current Foregroundcolor.
· Use the right mouse button to sketch with the current Backgroundcolor.
Before you paint a line, you might want to specify the line width and choose the foreground and background colors.

rect Rectangle. Draw a rectangle on the image.
To paint a rectangle, place the tool cross hairs where you want the corner of the frame to start. Then click a mouse button and drag the tool until the frame outline surrounds the area you want. Release the mouse button.
· Use the left mouse button to sketch with the current Foregroundcolor.
· Use the right mouse button to sketch with the current Backgroundcolor.
Before you paint a rectangle, you might want to specify the line width and choose the foreground and background colors.

ellipse Ellipse. Draw an ellipse on the image.
To paint an ellipse, place the tool cross hairs where you want the corner of the frame to start. Then click a mouse button and drag the tool until the frame outline surrounds the area you want. Release the mouse button.
· Use the left mouse button to sketch with the current Foregroundcolor.
· Use the right mouse button to sketch with the current Backgroundcolor.
Before you paint an ellipse, you might want to specify the line width and choose the foreground and background colors.

select1 button selects the entire image. The selected area will be outlined with a white-black animated region. Selected region is sizeable and moveable.
select1 button creates a mask from rectangular selection.
select2 button creates a mask from polygonal selection.
select3 button creates a mask from elliptical selection.
select4 button creates a mask from freehand selection.
select5 button creates a mask from magic wand.

pencil-art Art Draw. Draw a line or rectangle using the current pattern and shape.

eyedropper Eye Dropper. Display color under the cursor.
Use the Eye Dropper tool to copy a color from the current image.
To select a color for use with any tool,
· Select the Eye Dropper from the Tool palette.
· Click to copy the color as a foreground color, or right-click to copy the color as a background color.
· Select the tool you want to use with the new color.

brush Brush. Paint free-form patterns on the image.
Use the Brush tool to paint free-form patterns using the current brush pattern and shape. To paint, click a mouse button and drag the brush across your image. Release the mouse button when you finish painting.
· Use the left mouse button to sketch with the current Foregroundcolor.
· Use the right mouse button to sketch with the current Backgroundcolor.
Before you use the brush, you might want to select the brush shape and size, and the foreground and background colors.

spray Spray. Place more color in a region as time goes on.
The Spray tool paints free-form patterns similar to a real spray on your image using the current Spray pattern and shape.
To use the spray, you can either click a mouse button once and drag the spray, or you can click it repeatedly, as if you were repeatedly pressing the nozzle of a spray can. If you drag it slowly, it paints a thick pattern. If you drag it quickly, it paints a scattered, thinner pattern.
· Use the left mouse button to paint with the current Foregroundcolor.
· Use the right mouse button to paint with the current Backgroundcolor.
Before you use the spray, you might want to select the foreground and background colors and specify the spray shape and pattern.

fill Fill. Fill an area of the image with color.
Use the Fill tool to fill an area of your image with the currently selected color. It fills in any area of your image that is a single color.
· If you use this tool on an area that's not entirely surrounded by other colors, the color leaks out into other parts of the image that are the same color as the original area.
To use the Fill tool, point the cursor cross hairs in the portion of the image you want to fill, then click a mouse button.
· Use the left mouse button to sketch with the current Foregroundcolor.
· Use the right mouse button to sketch with the current Backgroundcolor.
Before you use the Fill tool, you might want to specify the foreground and background colors.


Statusbar

statusbar
Image parameters Current image parameters
Position Cursor coordinates
Selected Selected area size


Frames grabber

1. Press the button "Open" or the menuitem "Import AVI". Choose a AVI file.
2. By default all frames are converted. Setting of a range of frames: note item "Frames range" in a field "Frames select" and specify an initial and final frames of a range.
3. For start of transformation process press the button "Get frames".
4. At the right column the result of transformation will appear . If the result does not satisfy, then press the button "Clear results" and to repeat items 2 and 3.
5. Choose a filename for the received frames. For saving of result press the button "Save". Choose a folder, in which the received frames will be saved.

Editing of frames.

Frames list - Double click on any frame for editing. The image is shown in a separate window.
Videoplayer - Click the button "Snapshot" at the chosen moment. The current frame is shown in a separate window.


Animation

Animation in GIF format is realized as a sequence of images which differs slightly from each other. That gives an illusion of a motion. GIF file contains multiple images. The more number of frames leads to better quality of animation but increases size of GIF file. So it is important to find balance.
The great feature of GIF format is a use of images with different sizes. You can position each image in any place. It makes it possible to use small images to animate only some parts of a picture.

Images stored in a GIF file can be viewed sequentially to produce animated movie. The parameters of animation are stored in control extensions. AVD Graphic Studio gives you tools to redefine them.

List of images
List of images (frames) is placed in the left part of window.
You can add, delete (multiple selection), move up and move down images in this list.
List of frames has checkboxes to display images from different frames simultaneuosly on editing stage. It helps to see how one image is placed relative to other image.
You can create new frames on base of existing using the duplicate operations.
You can use clipboard operation for images: paste. Paste pastes image from clipboard to current image.
You can edit image by general image editor.

Image area
Image area is placed in central part of window and contains area to consistently display the images from imagelist.

Editing of frames
Double click on any imagelist item for editing. The image is shown in a separate window.


Toolbar

tool-anim

open-gif Open existing GIF-file. If the imagelist not empty, the frames is added in the end of the imagelist.
save-gif Save GIF-file on disc.
save-avi Save AVI-file on disc. The window for a codec choice and compression factor will be shown.
copyall Duplicate image. Create new frame with the same image and attributes as the current frame.
paste-all Paste image from clipboard to current image.
sel-fr1 Select all images.
sel-fr2 Deselect all images.
up Move image up in the imagelist.
down Move image down in the imagelist.
plus Add new image to the current position of imagelist.
add Add empty image to the current position of imagelist.
minus Delete selected image from imagelist.
erase Clear the current imagelist.
GIF preview: Start GIF playing.
AVI preview: Start AVI playing.


Attribute
Previous Top

attr

Global:
Global width and height define the window size of a GIF-file (AVI-file).
Background color defines color of empty spaces.
GIF delay: Defines an time interval between frames of a GIF-file
AVI delay: Defines an time interval between frames of a AVI-file

Image:
The size of the current image is shown.
You can change offset for the current image

Transition effects
You may select type of transition effect and quantity of intermediate positions


 The background color is the color you select and draw with the right mouse button and is usually the color that appears to underlie your drawing. It's also the color that's left behind when you select an area and delete or move it.


 The foreground color is the color you select and draw with the left mouse button. It's typically one of the colors you use to create the features of your resource, such as lines, boxes, shading, and so on. If you select the same color for both foreground and background, you will see both color boxes containing the same color.